#version 460
precision mediump float;
out vec4 o;
const float PI = 22./7.;
layout(location = 0) uniform float syncs[7];
float u_time = syncs[0]/44100.;

vec3 render(vec2 uv, float time) {

    if (uv.y >= 0.0 && uv.y <= 0.01 ) {
        return vec3(abs(syncs[5]));
    }
    
    if (uv.y >= -0.21 && uv.y <= -0.2 ) {
        return vec3(abs(syncs[6]*1.3));
    }
    
 
    return vec3(0.1, 0.2, 0.3);

}


void main() {
    vec2 u_resolution = vec2(1920,1080);
    vec2 qor = gl_FragCoord.xy/u_resolution.xy;
	vec2 uv = -1.0+2.0*qor;
	uv.x *= uv.x/u_resolution.y;
    vec3 col = render(uv, u_time);
    o = vec4(col,1.0);
}
